Subject: Re: Can't run Mingw gcc from Cygwin
From: "Mader, Alexander" <[email-masked]>
To: Cliff Hones <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 05 Jul 2001 13:26:29 +0200

Hallo,

I faced similar problems with -mno-cygwin. So I installed the mingw 
stuff and changed the PATH in ~/.bashrc to 
/cygdrive/where_mingw_is:$PATH and everything worked fine. If I have to 
compile with pure cygwin I comment out this line.

Best regards,

Alexander.

Cliff Hones wrote:

>>I'm trying to run the Mingw gcc compiler from within Cygwin. My reason is to
>>use Cygwin/bash to run configure, but to build the packages using Mingw, so
>>that they have no Cygwin dependency at runtime - yes, I know about
>>-mno-cygwin, and that is an option, I guess, but I'd prefer to use the Mingw
>>compiler if possible - not least as it builds executables which use MSVCRT
>>rather than CRTDLL.
>>
> 
> The latest version of the cygwin gcc (2.95.3-5) now uses msvcrt (and crt2.o)
> when the -mno-cygwin option is used.
> 
> 
>>However, if I add my Mingw binaries directory to the front of PATH, via
>>    export PATH=//c/Applications/Mingw/bin:$PATH
>>and try to compile a trivial program, I get an error
>>
>>$ gcc -o x.exe x.c
>>gcc.exe: installation problem, cannot exec `cpp0': No such file or directory
>>
> 
> mingw is not cygwin-aware, so may not behave quite as expected under cygwin bash.
> Try using the gcc "-v" flag to see which executables are being invoked.
> 
> -- Cliff
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

-- 
Alexander Mader <[email-masked]>	Fon: +49-30-93033-636
NILES Werkzeugmaschinen GmbH			Fax: +49-30-93033-603
				www.niles.de

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/